SDL_SetMainReady(3)

NAME
SDL_SetMainReady - Circumvent failure of SDL_Init () when not using SDL_main () as an entry point.

HEADER FILE
Defined in SDL3/SDL_main.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetMainReady(void);

DESCRIPTION
This function is defined in SDL_main .h, along with the preprocessor rule to redefine main() as SDL_main (). Thus to ensure that your main() function will not be changed it is necessary to define SDL_MAIN_HANDLED
 before including SDL.h.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_Init(3)